CODESIGN_ALLOCATE(1)

NAME
ctf_insert - insert the (__CTF,__ctf) section data into the mach_kernel file

SYNOPSIS
ctf_insert input [ -arch arch file ]... -o output

DESCRIPTION
ctf_insert inserts the cft (Compact File Type) data into a mach_kernel creating (__CTF,__ctf) sections. The input must not have this section or it is an error. And the program must be passed one -arch argument for each architecture in a universal file, or exactly one -arch for a thin file.

input
    specifies the input mach_kernel.

-o output
    specifies the output file.

-arch arch file
    specifies for the file containing the cft (Compact File Type) data to be used for the specified arch whos content will be the section's data.